> Documentation index: https://docs.scrapier.io/llms.txt
> Auth: header `X-API-Key: <key>` · Base: https://api.scrapier.io/api/v2 · Synchronous; paginate with `cursor` ← `data.next_cursor`.

# Threads API

Scrapier endpoints for Threads: Threads Profile Info, Threads Search, Threads Search Users, Threads Single Post and 1 more.

5 endpoints · 1 credit / successful call · All Threads endpoints in one file: https://docs.scrapier.io/llms-threads.txt

## Quickstart

### Threads Profile Info

```bash
curl -G "https://api.scrapier.io/api/v2/threads-profile-info/" \
  -H "X-API-Key: YOUR_API_KEY" \
  --data-urlencode "usernames=trendspider" \
  --max-time 210
```

## Endpoints

| Endpoint | Path | Pagination | Credits | Needs cookie |
|---|---|---|---|---|
| [Threads Profile Info](https://docs.scrapier.io/api-reference/threads/threads-profile-info.md) | `/threads-profile-info/` | single | 1 | no |
| [Threads Search](https://docs.scrapier.io/api-reference/threads/threads-search.md) | `/threads-search/` | cursor | 1 | no |
| [Threads Search Users](https://docs.scrapier.io/api-reference/threads/threads-search-users.md) | `/threads-search-users/` | cursor | 1 | no |
| [Threads Single Post](https://docs.scrapier.io/api-reference/threads/threads-single-post.md) | `/threads-single-post/` | single | 1 | no |
| [Threads User Posts](https://docs.scrapier.io/api-reference/threads/threads-user-posts.md) | `/threads-user-posts/` | cursor | 1 | no |
